Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.deployment.xml
Class BeanXMLDeployer

    java.lang.Object
      org.jboss.kernel.plugins.deployment.AbstractKernelDeployer
          org.jboss.kernel.plugins.deployment.xml.BeanXMLDeployer

public class BeanXMLDeployer
extends AbstractKernelDeployer

An XML deployer.

Version:
  $Revision: 1.9 $
Author:
  Adrian Brock, Les A. Hazlewood, Marc Fleury

Field Summary
`protected org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding` | `schemaBinding` The schema binding

Fields inherited from class org.jboss.kernel.plugins.deployment.AbstractKernelDeployer
`controller, kernel, mode, requiredState`

Constructor Summary
`BeanXMLDeployer(Kernel kernel)` Create a new XML kernel deployer

Method Summary
`KernelDeployment` | `deploy(String deploymentName, InputStream stream)` Deploy a stream.
`KernelDeployment` | `deploy(URL url)` Deploy a url

Methods inherited from class org.jboss.kernel.plugins.deployment.AbstractKernelDeployer
`change, changeBean, changeBeans, deploy, deployBean, deployBeans, internalValidate, undeploy, undeployBean, undeployBeans, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schemaBinding

    protected org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding schemaBinding

  The schema binding

Constructor Detail

### BeanXMLDeployer

    public BeanXMLDeployer(Kernel kernel)
                    throws Throwable

  Create a new XML kernel deployer

Parameters:
  `kernel` - the kernel
Throws:
  `Throwable` - for any error

Method Detail

### deploy

    public KernelDeployment deploy(URL url)
                            throws Throwable

  Deploy a url

  Parameters:
    `url` - the url to deploy
  Throws:
    `Throwable` - for any error

### deploy

    public KernelDeployment deploy(String deploymentName,
                                   InputStream stream)
                            throws Throwable

  Deploy a stream. We may be deploying XML fragments.

  Parameters:
    `deploymentName` - the deployment name
    `stream` - the stream
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.